
# Welcome to XEphem!

XEphem is an interactive astronomy program for all UNIX platforms.

![Sky view](/GUI/xephem/help/png/sky-view.png?raw=true)

To see more screenshots, scroll to the bottom of this README.

# Installing XEphem

There are XEphem packages available for several operating systems.

* [Gentoo](https://packages.gentoo.org/packages/sci-astronomy/xephem)
* [openSUSE](https://build.opensuse.org/package/show/Application:Geo/xephem)
* [Slack](https://slackbuilds.org/repository/13.37/academic/xephem/)

If none of these packages is appropriate for your system,
the [INSTALL file](https://github.com/XEphem/XEphem/blob/main/INSTALL)
explains how you can compile XEphem yourself from its source code.

# Documentation

* [Home Page](https://xephem.github.io/XEphem/Site/xephem.html)

* [Reference Manual](https://xephem.github.io/XEphem/GUI/xephem/help/xephem.html)

# Project Status

* Elwood Downey has generously released XEphem under the MIT License!
  An “XEphem” organization has been created on GitHub
  to host XEphem’s [source code](https://github.com/XEphem/XEphem).

* The XEphem community hopes to modernize the code
  to make it easier to compile, package, and run on modern systems.
  In the meantime,
  XEphem compiles most readily on older Linux platforms
  like Ubuntu 14.04.

* If you want to get started immediately,
  a Docker image
  that successfully compiles and runs XEphem atop Ubuntu 14.04
  is available.
  It’s documented
  [in its own README file](https://github.com/XEphem/XEphem/blob/main/container/README.md).

* The repository also includes a `.tito` directory
  and `xephem.spec` file for building an XEphem RPM package.

* Otherwise,
  if you want to tackle XEphem development on another platform,
  start with the
  [INSTALL](https://github.com/XEphem/XEphem/blob/main/INSTALL)
  file in the `main` branch of the repository.

* Direct questions to the main repository’s
  [GitHub Discussions](https://github.com/XEphem/XEphem/discussions)
  by clicking “New discussion” and writing up your question.

# More Screenshots

![Sun view](/GUI/xephem/help/png/sun-view.png?raw=true)

![Solar system view](/GUI/xephem/help/png/solsys.png?raw=true)

![Saturn and its moons](/GUI/xephem/help/png/saturn.png?raw=true)

![Binary star view](/GUI/xephem/help/png/sky-binary.png?raw=true)

![Moon view](/GUI/xephem/help/png/moon.png?raw=true)

![Earth view](/GUI/xephem/help/png/earth.png?raw=true)
